/**
 * @author Marc Gagnon
*/

package edu.uiuc.webcoord;

public class WEInput extends WebElement{
	private String name;
	private String type;
		
	public WEInput(String _xCoord, String _yCoord, String _name, String _type) {
		super(_xCoord, _yCoord);
		
		setName(_name);
		
		if (_type == null)
			_type = "text";
		setType(_type);
	}

	/**
	 * @param name The name to set.
	 */
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * @return Returns the name.
	 */
	public String getName() {
		return name;
	}
	
	/**
	 * @param type The type to set.
	 */
	public void setType(String type) {
		this.type = type;
	}

	/**
	 * @return Returns the type.
	 */
	public String getType() {
		return type;
	}
}